Subject: bug#49518: 28.0.50; electric-pair-mode skip-self fails for single-quotes in python-mode

From: Daniel Fleischer <[email-masked]>
Date: Sat, 18 Sep 2021 15:55:35 +0300

Jim Porter [2021-07-11 Sun 10:34] wrote:

> That's true, and I've been working on a patch to make that behavior
> more robust. The code for that is in
> `python-electric-pair-string-delimiter', but I think an improved
> implementation of that would depend on how this bug is fixed. I have a
> local patch that works for me, but it depends on the other
> electric-pair settings I use, so it couldn't merge as-is.

As I'm also bothered by this, is there some resolution?

BTW, my solution is hooking this code in 'inferior-python-mode':

(setq-local electric-pair-pairs
            (append electric-pair-pairs '((?' . ?'))))

-- 

Daniel Fleischer